PDU Wholesale Price List 2026 - Effective February 23, 2026

A

B

C

D

E

F

G

H

I

J

K

PRODUCT CODE

PRODUCT DESCRIPTION

STP

QTY A

PRICE A

QTY B

PRICE B

QTY C

PRICE C

QTY D

PRICE D

1

RFAK121FC RFAK029FC RFAK129FC RFAK003FC RFAK103FC RFAK028FC RFAK128FC RFAK020FC RFAK120FC RFAK015FC RFAK115FC RF23029PG RF23129PG RF23010PG RF23110PG RF23028PG RF23128PG RF23020PG RF23120PG RF23015PG RF23115PG RF23037PG RF23137PG

6

1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1

$9.92 $6.75 $9.92 $6.75 $9.92 $6.75 $9.92 $6.75 $9.92 $6.75 $9.92 $9.95

3 6 3 6 3 6 3 6 3 6 3 8 6 8 6 8 6 8 6 8 6 8 6 6 6 6 6 6

$8.63 $5.87 $8.63 $5.87 $8.63 $5.87 $8.63 $5.87 $8.63 $5.87 $8.63 $8.65 $9.80 $8.65 $9.80 $8.65 $9.80 $8.65 $9.80 $8.65 $9.80 $8.65 $9.80

6

$7.50 $5.10 $7.50 $5.10 $7.50 $5.10 $7.50 $5.10 $7.50 $5.10 $7.50 $7.50 $8.50 $7.50 $8.50 $7.50 $8.50 $7.50 $8.50 $7.50 $8.50 $7.50 $8.50

Baseball

4325

12

12

Basketball

4326

6

6

Basketball

4327

12

12

Softball

4328

6

6

Softball

4329

12

12

Football

4330

6

6

Football

4331

12

12

Soccer

4332

6

6

Soccer

4333

12

12

Hockey

4334

6

6

Hockey

4335

16 12 16 12 16 12 16 12 16 12 16 12 24 12 12 12 12 12 24 24 24

16 12 16 12 16 12 16 12 16 12 16 12 24 12 12 12 12 12 24 24 24

Basketball

4336

$11.30

Basketball

4337

$9.95

Baseball

4338

$11.30

Baseball

4339

$9.95

Football

4340

$11.30

Football

4341

$9.95

Soccer

4342

$11.30

Soccer

4343

$9.95

Hockey

4344

$11.30

Hockey

4345

$9.95

Volleyball

4346

$11.30 $15.15 $14.30 $10.60 $13.20 $13.20 $10.60 $13.25 $13.25 $15.25 $32.95

Volleyball

4347

CH-100

12

$13.15 $12.40

$11.40 $10.75

Cornhole

4348

RFC-550 RFC-749 RFC-949 RFC-948 RFC-748 70003-Z 70005-Z 70052-Z 70152-Z

Pickleball

4349

$9.20

$8.00 $9.95 $9.95 $8.00

Modern Golf, M

4350

$11.45 $11.45

Modern Golf, F

4351

Modern Golf, F

4352

$9.20

Modern Golf, F

4353

12 12 12

$11.50 $11.50 $13.25

$10.00 $10.00 $11.50

Fantasy Baseball Figure

4354

Fantasy Basketball Figure

4355

Fantasy Football Figure

4356

1

Fantasy Football Figure

4357

133

Plastic Dress-Up Ltd. (Canada) • Prices effective as of February 23, 2026 • Price changes are in Blue • #N/A please call • Prices subject to change without notice.

133

Made with FlippingBook Ebook Creator